﻿using System;

namespace Platform.Geo
{
    public class GeoRouteException : Exception
    {
        public GeoRouteException( GeoRouteStatus status )
            : base( string.Format( "Routing Failed: {0}", status ))
        {
            _Status = status;
        }

        public GeoRouteStatus Status 
        {
            get { return _Status; }
        }
        private GeoRouteStatus _Status;
    }
}
